> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Studio Remove Section

> Delete one or more ranges and export a new song

Delete one or more time ranges from a clip and export a new song. Poll [Get Task Status](/api-reference/suno/task) until `success`.

<Info>
  **Free** (0 credits). `close_gap` defaults to `true` (collapse gaps after deletion).
</Info>

Part of the [Studio Editing](/api-reference/suno/studio) group.

## Parameters

| Field       | Type    | Required | Description                                        |
| ----------- | ------- | -------- | -------------------------------------------------- |
| `clip_id`   | string  | Yes      | Source clip                                        |
| `sections`  | array   | Yes      | Ranges to remove (`start_s` / `end_s`, min 1 item) |
| `close_gap` | boolean | No       | Collapse gaps after delete (default `true`)        |
| `title`     | string  | No       | Title for the new song                             |

### `sections[]` item

| Field     | Type   | Required | Description           |
| --------- | ------ | -------- | --------------------- |
| `start_s` | number | Yes      | Range start (seconds) |
| `end_s`   | number | Yes      | Range end (seconds)   |

## Example

```bash theme={null}
curl -X POST https://api.mountsea.ai/suno/v2/studio/removeSection \
  -H "Authorization: Bearer your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
    "clip_id": "5a3c023f-d1ed-4a85-b61e-168dde2b6659",
    "sections": [
      { "start_s": 12, "end_s": 18 },
      { "start_s": 40, "end_s": 44 }
    ],
    "close_gap": true,
    "title": "Cleaned Mix"
  }'
```


## OpenAPI

````yaml POST /suno/v2/studio/removeSection
openapi: 3.0.0
info:
  title: Suno AI
  description: API documentation for Suno AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: suno
    description: ''
  - name: suno/studio
    description: Studio Song Editor（与 audio/crop|fade|reverse 独立）
paths:
  /suno/v2/studio/removeSection:
    post:
      tags:
        - suno/studio
      summary: Studio remove section
      description: 删除一个或多个区间后导出新歌。close_gap 默认 true。通过 clip_id 同账号选号。积分 0。
      operationId: ApiStudioController_removeSection
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StudioRemoveSectionDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdDto'
      security:
        - bearerAuth: []
components:
  schemas:
    StudioRemoveSectionDto:
      type: object
      properties:
        clip_id:
          type: string
          description: 原歌曲 clip_id
        sections:
          minItems: 1
          description: 要删除的区间列表
          type: array
          items:
            $ref: '#/components/schemas/StudioSectionRangeDto'
        close_gap:
          type: boolean
          description: 删除后是否收拢空隙，默认 true
          default: true
        title:
          type: string
          description: 新歌标题
      required:
        - clip_id
        - sections
    TaskIdDto:
      type: object
      properties:
        taskId:
          type: string
          description: task id. Use this id to query task status.
          example: 15c257ff-43f7-4678-bd41-202ad6b8488b
      required:
        - taskId
    StudioSectionRangeDto:
      type: object
      properties:
        start_s:
          type: number
          minimum: 0
          description: 区间起始秒
        end_s:
          type: number
          minimum: 0
          description: 区间结束秒
      required:
        - start_s
        - end_s
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````